(in-package #:kmrcl)

(defun open-device-stream (path direction)
  (let* ((mode (ecase direction
		 (:input #$O_RDONLY)
		 (:output #$O_WRONLY)
		 (:io #$O_RDWR)))
	 (fd (ccl::fd-open (ccl::native-translated-namestring path) mode)))
    (if (< fd 0)
       (ccl::signal-file-error fd path)
       (ccl::make-fd-stream fd :direction direction))))

